---
page_title: Delink Wallet
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/delink-wallet
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fexpress-checkout%2Fdelink-wallet
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Delink Wallet



Use this call to delink the wallet from the customer. ## Endpoints:
- Sandbox: https://sandbox.juspay.in/wallets/{wallet_id}

- Production: https://api.juspay.in/wallets/{wallet_id}

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string
- Value:     <p>Example:- <br> Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==</p>
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### Content-Type:
application/x-www-form-urlencoded
- Tags: String, Mandatory

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X POST https://api.juspay.in/wallets/$wallet_id \
-u your_api_key: \
-H 'x-routing-id: customer_1122'\
-d "command=delink"

```

### Sample Response:

#### Response:
```json
{
  "wallet": "PAYTM",
  "token": null,
  "last_refreshed": null,
  "object": "wallet_account",
  "id": "wlm_vNb87tTUvbb86bD",
  "current_balance": null,
  "sub_details": [
      {
          "payment_method": "PAYTM",
          "payment_method_type": "WALLET",
          "last_refreshed": null,
          "current_balance": null
      }
  ],
  "linked": false
}
```

## Path Parameters:

#### wallet_id:
Wallet Id of the wallet
- Tags: String, Mandatory
## Body Parameters:
### Parameters:

#### command:
- Description: Send it as `delink` to delink the wallet.
- Tags: string
## API Responses:
### 200:

#### id:
- Description: wlt_q23xzki3pazgtezo
- Tags: string

#### object:
- Description: wallet_account
- Tags: string

#### wallet:
- Description: MOBIKWIK
- Tags: string

#### token:
- Tags: String

#### current_balance:
- Tags: String

#### linked:
- Description: false
- Tags: string

#### last_refreshed:
- Tags: String
### 400:

#### object:
- Tags: object


---

## See Also

- [Link Wallet](https://juspay.io/in/docs/api-reference/docs/express-checkout/link-wallet)
- [Get Wallet](https://juspay.io/in/docs/api-reference/docs/express-checkout/get-wallet)
